> ## Documentation Index
> Fetch the complete documentation index at: https://developer.notchpay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a webhook



## OpenAPI

````yaml openapi.yaml get /webhooks/{endpoint}
openapi: 3.1.0
info:
  title: Notch Pay API
  description: API for integrating payment and money transfer services into applications.
  version: 2.1.0
servers:
  - url: https://api.notchpay.co
    description: Production and Sandbox Environment
security: []
paths:
  /webhooks/{endpoint}:
    get:
      summary: Retrieve a webhook
      operationId: getWebhook
      parameters:
        - name: endpoint
          in: path
          description: Unique identifier of the webhook
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Webhook endpoint retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 200
                  status:
                    type: string
                    example: OK
                  message:
                    type: string
                    example: Webhook endpoint retrieved
                  endpoint: f3fd89c0-89d7-48d8-8afe-f4878cf5d2bc
                required:
                  - code
                  - status
                  - message
                  - endpoint
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
      security:
        - ApiKeyAuth: []
        - GrantAuth: []
        - SyncAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
    GrantAuth:
      type: apiKey
      in: header
      name: X-Grant
    SyncAuth:
      type: apiKey
      in: header
      name: X-Sync

````